Skip to content
GET /search-agents

Search real estate agents

Description

Search for real estate agents in UAE. Returns structured, simpler response data.

Parameters

Name Type Required Description Example
location_id string Optional - Location ID to filter agents - Example: `50` (Dubai Marina), `51` (Downtown Dubai) - Leave empty for all locations 50
category string Optional - Filter agents by specialization - `residential_sale`: Agents specializing in residential property sales - `residential_rent`: Agents specializing in residential rentals - `commercial_sale`: Agents specializing in commercial property sales - `commercial_rent`: Agents specializing in commercial rentals - Default: `residential_sale` residential_sale
sort string Optional - Sort agents by performance - `most_sales`: Agents with most sales - `most_rentals`: Agents with most rentals - `featured`: Featured/trusted agents - Default: `most_sales` most_sales
page string Optional - Page number for pagination - Default: `1` - Examples: `1`, `2`, `3` 1

Code Examples

curl --request GET \
  --url 'https://propertyfinder-uae-data.p.rapidapi.com/search-agents' \
  --header 'x-rapidapi-host: propertyfinder-uae-data.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'

Example Response

Response
{
  "success": true,
  "data": [
    {
      "id": 309328,
      "name": "Syed Abdul Moiz",
      "image": "https://www.propertyfinder.ae/agent/0/170/200/MODE/d5051e/309328-7bd62o.jpg?ctr=ae",
      "position": "Property Consultant",
      "nationality": "Pakistan",
      "total_properties": 165,
      "broker_name": "EVA Real Estate LLC"
    }
  ]
}

Try this endpoint now

Subscribe to PropertyfinderAPI on RapidAPI and start making requests in minutes.